/**
 * author: dabao
 * date: 2024-03-15
 * description: 商户首页
 */
var VUE = null
window.addEventListener("load", function () {
	VUE = new Vue({
		el: '#app',
		data() {
			return {
				// showDatePicker: false,  // 控制日期选择器显示
				// minDate: new Date(gemhoUtil.getTargetDateYMD()),  // 最小可选日期
				// maxDate: new Date(2099, 11, 31),  // 最大可选日期
				 // 日期选择的最小范围，这里设置为当前日期的前 10 年
				 // maxDate: new Date(new Date().getFullYear() + 10, 11),
				previewUrl: BASE_URL,
				// 新增以下数据
				formData: {
					date: gemhoUtil.getTargetDateYMD(),
					content: '',
					contactName: '',	
					contactDetails: '',
					photos: [],
				},
				merId: '',
				merInformation: { // 新增商户信息对象

				},
			}
		},
		created() {
		},
		mounted() {
		},
		methods: {
			navTo(url) {
				// gemhoUtil.nav2asd(url)
				let params = gemhoUtil.getUrlParams()
				if (url == 'check_info') {
					params = {
						...params,
						flag: 'ADD',
						pageName: '_shanghu_home'
					}
				}
				let strurl = gemhoUtil.setParameter(`_${url}.html`, params)
				gemhoUtil.navigatePage(strurl, '跳转中...')
			},
			scanCode() { // 有菜单地址则是跳转页面，没有则是扫码操作
				lightAppJssdk.device.scan({
					success: function(data) {
						// 获取到data为二维码的url路径，从这里取请求参数，商户id，在下面跳转本地系统路径
						// alert('扫码成功'+JSON.stringify(data))
						const strUrl = new URL(data);
						const param = {
							merId: strUrl.searchParams.get('merId'),
							accessType: strUrl.searchParams.get('accessType'),
							rev: (+new Date())
						};
						if (!param.merId) {
							alert('请扫描正确的商家店面二维码')
							return
						} else {
							let url = gemhoUtil.setParameter(`_consumer_home.html`,
								param)
							gemhoUtil.navigatePage(url, '跳转中...')
						}
					},
					fail: function(data) {
						//错误返回
						alert('扫码失败')
					},
				})
			},
		}
	});

})